This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 11457 - snmpwalk (and mrtg) fail due to snmp public problems.
snmpwalk (and mrtg) fail due to snmp public problems.
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: ucd-snmp (Show other bugs)
6.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Crutcher Dunnavant
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-05-16 18:10 EDT by Steven Webb
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-24 12:54:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Steven Webb 2000-05-16 18:10:04 EDT
try: snmpwalk localhost public after a fresh redhat 6.2 install.

I get:

[root@c-tux ucd-snmp-4.1.1]# snmpwalk localhost public
system.sysDescr.0 = Linux c-tux 2.2.14-5.0smp #1 SMP Tue Mar 7 21:01:40 EST
2000 i686
system.sysObjectID.0 = OID: enterprises.ucdavis.ucdSnmpAgent.linux
system.sysUpTime.0 = Timeticks: (119277028) 13 days, 19:19:30.28
system.sysContact.0 = Root <root@localhost> (configure
/etc/snmp/snmp.local.conf)
system.sysName.0 = c-tux
system.sysLocation.0 = Unknown (edit /etc/snmp/snmpd.conf)
system.sysORLastChange.0 = Timeticks: (1) 0:00:00.01
system.sysORTable.sysOREntry.sysORID.1 = OID: ifMIB
system.sysORTable.sysOREntry.sysORID.2 = OID:
.iso.org.dod.internet.snmpV2.snmpModules.snmpMIB
system.sysORTable.sysOREntry.sysORID.3 = OID: tcpMIB
system.sysORTable.sysOREntry.sysORID.4 = OID: ip
system.sysORTable.sysOREntry.sysORID.5 = OID: udpMIB
system.sysORTable.sysOREntry.sysORID.6 = OID:
.iso.org.dod.internet.snmpV2.snmpModules.snmpVacmMIB.vacmMIBConformance.vacmMIBGroups.vacmBasicGroup
system.sysORTable.sysOREntry.sysORID.7 = OID:
.iso.org.dod.internet.snmpV2.snmpModules.snmpFrameworkMIB.snmpFrameworkMIBConformance.snmpFrameworkMIBCompliances.snmpFrameworkMIBCompliance
system.sysORTable.sysOREntry.sysORID.8 = OID:
.iso.org.dod.internet.snmpV2.snmpModules.snmpMPDMIB.snmpMPDMIBConformance.snmpMPDMIBCompliances.snmpMPDCompliance
system.sysORTable.sysOREntry.sysORID.9 = OID:
.iso.org.dod.internet.snmpV2.snmpModules.snmpUsmMIB.usmMIBConformance.usmMIBCompliances.usmMIBCompliance
system.sysORTable.sysOREntry.sysORDescr.1 = The MIB module to describe
generic objects for network interface sub-layers
system.sysORTable.sysOREntry.sysORDescr.2 = The MIB module for SNMPv2
entities
system.sysORTable.sysOREntry.sysORDescr.3 = The MIB module for managing TCP
implementations
system.sysORTable.sysOREntry.sysORDescr.4 = The MIB module for managing IP
and ICMP implementations
system.sysORTable.sysOREntry.sysORDescr.5 = The MIB module for managing UDP
implementations
system.sysORTable.sysOREntry.sysORDescr.6 = View-based Access Control Model
for SNMP.
system.sysORTable.sysOREntry.sysORDescr.7 = The SNMP Management
Architecture MIB.
system.sysORTable.sysOREntry.sysORDescr.8 = The MIB for Message Processing
and Dispatching.
system.sysORTable.sysOREntry.sysORDescr.9 = The management information
definitions for the SNMP User-based Security Model.
system.sysORTable.sysOREntry.sysORUpTime.1 = Timeticks: (1) 0:00:00.01
system.sysORTable.sysOREntry.sysORUpTime.2 = Timeticks: (1) 0:00:00.01
system.sysORTable.sysOREntry.sysORUpTime.3 = Timeticks: (1) 0:00:00.01
system.sysORTable.sysOREntry.sysORUpTime.4 = Timeticks: (1) 0:00:00.01
system.sysORTable.sysOREntry.sysORUpTime.5 = Timeticks: (1) 0:00:00.01
system.sysORTable.sysOREntry.sysORUpTime.6 = Timeticks: (1) 0:00:00.01
system.sysORTable.sysOREntry.sysORUpTime.7 = Timeticks: (2) 0:00:00.02
system.sysORTable.sysOREntry.sysORUpTime.8 = Timeticks: (2) 0:00:00.02
system.sysORTable.sysOREntry.sysORUpTime.9 = Timeticks: (2) 0:00:00.02
Timeout: No Response from localhost
[root@c-tux ucd-snmp-4.1.1]#
Comment 1 Steven Webb 2000-05-16 18:12:59 EDT
ADDENDUM
The machine shows snmp to be running.

[root@c-tux ucd-snmp-4.1.1]# ps -auxw | grep snmp
root       677  0.0  0.1  2932 1652 ?        S    May02   3:58 /usr/sbin/snmpd
root      9564  0.0  0.1  3660 1660 ?        SN   09:54   0:00
/opt/scali/sbin/scasnmpd -p 32016
root      9580  0.0  0.1  3660 1660 ?        SN   09:54   0:02
/opt/scali/sbin/scasnmpd -p 32016
root      9581  2.0  0.1  3660 1660 ?        SN   09:54   7:50
/opt/scali/sbin/scasnmpd -p 32016
root      6664  0.0  0.0  1364  524 pts/1    S    16:11   0:00 grep snmp
You have new mail in /var/spool/mail/root
[root@c-tux ucd-snmp-4.1.1]#
Comment 2 Steven Webb 2000-05-16 18:16:59 EDT
ADDENDUM (again)

Ok, you see that I have another "scasnmpd" running too.  That's for another
package, but I killed those and left /usr/sbin/snmpd running and it had the same
error.  I restarted /etc/rc.d/init.d/snmpd too and same error.

Sorry for all of the separate submissions.

- Steve
Comment 3 p.vogt 2000-05-24 09:50:59 EDT
This behaviour disappears when you change the /etc/snmp/snmpd.conf file
I changed the view and access to

view    all    included  .1
access  notConfigGroup ""      any       noauth    exact  all none none
Comment 4 Steven Webb 2000-05-24 12:54:59 EDT
Ahh!  That did it.  Now snmp and mrtg are both working!  Woohoo!

Thanks everyone!
Comment 5 Jeff Johnson 2000-10-12 11:16:20 EDT
Red Hat distributes ucd-snmp with conservative, pessimistic and possibly
surprising
default configuration, originally suggested by Wes Hardaker, the ucd-snmp
maintainer.

Note You need to log in before you can comment on or make changes to this bug.